Bug 1788475 - CVE-2018-1311 xerces-c: XML parser contains a use-after-free error triggered during the scanning of external DTDs [epel-8]
Summary: CVE-2018-1311 xerces-c: XML parser contains a use-after-free error triggered ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xerces-c
Version: epel8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-1311
TreeView+ depends on / blocked
 
Reported: 2020-01-07 10:15 UTC by Marian Rehak
Modified: 2023-12-31 00:55 UTC (History)
6 users (show)

Fixed In Version: xerces-c-3.2.3-5.el8 xerces-c-3.2.5-1.el9 xerces-c-3.2.5-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-06 18:33:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Red Hat patch (864 bytes, patch)
2020-12-04 16:49 UTC, Ben Beasley
no flags Details | Diff

Description Marian Rehak 2020-01-07 10:15:32 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-8.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Marian Rehak 2020-01-07 10:15:38 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1788472,1788475

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Ben Beasley 2020-12-04 16:48:46 UTC
Red Hat patched this in RHEL6-7 by converting the use-after-free to a memory leak (https://bugzilla.redhat.com/show_bug.cgi?id=1788472#c23).

Upstream discussion: https://issues.apache.org/jira/browse/XERCESC-2188

It seems like upstream doesn’t necessarily feel like they can fix this, especially without breaking ABI, so the Red Hat patch may be the best thing available.

Comment 3 Ben Beasley 2020-12-04 16:49:43 UTC
Created attachment 1736458 [details]
Red Hat patch

Comment 4 Ben Beasley 2020-12-04 17:39:17 UTC
I opened a PR for Fedora Rawhide to apply the Red Hat patch. It could be merged to F33/F32, and merged or cherry-picked to EPEL8. I’m not sure there is any reason not to go ahead and bring EPEL8 fully up-to-date with Rawhide; version 3.2.3 (https://issues.apache.org/jira/secure/ReleaseNote.jspa?version=12344135&styleName=Text&projectId=10510) does fix some bugs and should maintain ABI stability with 3.2.2.

Thoughts?

Comment 5 Troy Dawson 2022-10-19 21:43:38 UTC
If xerces-c 3.2.3 maintains ABI stability, then I'm for it.
Fedora rawhide and epel9 is still at version 3.2.3.  We could build it based off either of them.

Comment 6 Fedora Admin user for bugzilla script actions 2022-10-26 02:10:21 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2022-10-28 15:35:17 UTC
FEDORA-EPEL-2022-fac3491880 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-fac3491880

Comment 8 Fedora Update System 2022-10-29 18:31:45 UTC
FEDORA-EPEL-2022-fac3491880 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-fac3491880

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-11-06 18:33:35 UTC
FEDORA-EPEL-2022-fac3491880 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-12-22 10:05:23 UTC
FEDORA-EPEL-2023-75bf3d635e has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-75bf3d635e

Comment 11 Fedora Update System 2023-12-22 10:05:23 UTC
FEDORA-EPEL-2023-f6a8bbe365 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-f6a8bbe365

Comment 12 Fedora Update System 2023-12-23 04:42:26 UTC
FEDORA-EPEL-2023-75bf3d635e has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-75bf3d635e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-12-23 04:53:46 UTC
FEDORA-EPEL-2023-f6a8bbe365 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-f6a8bbe365

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-12-31 00:36:32 UTC
FEDORA-EPEL-2023-75bf3d635e has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-12-31 00:55:23 UTC
FEDORA-EPEL-2023-f6a8bbe365 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.